public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/qscintilla/
Date: Sat, 24 Oct 2015 15:44:23 +0000 (UTC)	[thread overview]
Message-ID: <1445701453.ec3099d108eacc9e14f32a0400da5f95655e381b.pesa@gentoo> (raw)

commit:     ec3099d108eacc9e14f32a0400da5f95655e381b
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 24 15:38:29 2015 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Sat Oct 24 15:44:13 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec3099d1

x11-libs/qscintilla: bump

Package-Manager: portage-2.2.23

 x11-libs/qscintilla/Manifest                |  1 +
 x11-libs/qscintilla/qscintilla-2.9.1.ebuild | 91 +++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/x11-libs/qscintilla/Manifest b/x11-libs/qscintilla/Manifest
index 682d80e..4169dcc 100644
--- a/x11-libs/qscintilla/Manifest
+++ b/x11-libs/qscintilla/Manifest
@@ -1,2 +1,3 @@
 DIST QScintilla-gpl-2.8.4.tar.gz 3031919 SHA256 9b7b2d7440cc39736bbe937b853506b3bd218af3b79095d4f710cccb0fabe80f SHA512 ab10dc756231b293ddebc06e681bb65a11b2be2a4c4132a5b2a27ca583adef76af325fa95748888d9091f2e89a30494d370df262c4eaba7b7fbed04fb7c76907 WHIRLPOOL 7357addbc0ad8869c5749a67106c18e47d79e32399416cc2867461fa8ad0c662711b8937987cb7c3cd5b83fe9f88e1529911eefec28a972e86c7f242c8c0d634
+DIST QScintilla-gpl-2.9.1.tar.gz 2490144 SHA256 79e9c39d51549061d3d489387bcee86ff20c1f746d1b25ac173d5165426eabaf SHA512 709a5251c9273c527740b138b099e42a57cefa4fcda34c04da11f4640b0ee53ca9a0a58752e963bc8c63933e382ac8a6e774965d838c9123c11c1c59a9d7100e WHIRLPOOL f47319c2cebd1fdf4ae95f26781ab52758ab698b1b72e9d7db4e081e6c27bb41ef1d1da0b450c1cefebf0a9f1c1a128d45c44ba490d2be1a77276f3e1bf75224
 DIST QScintilla-gpl-2.9.tar.gz 2435116 SHA256 d7c32e32582f93779de861006d87467b38b9ebc06e3d0b32e981cb24369fa417 SHA512 a74b7b1182e9f602aa9f61072877d8dba93c430453ed70e18d74013dbda8b0faef30629f2c086d3b06d0632b3f4980570362bb6e635c15686be1be47eaeecb00 WHIRLPOOL b27a3ff2b48dbbf034deb4fdf09259815dcee63bfffe29651cf1e5e9ceeedb408ebc0bae440479a8206af7046f80143c291c10a0293942b64eb61c5e02549ed4

diff --git a/x11-libs/qscintilla/qscintilla-2.9.1.ebuild b/x11-libs/qscintilla/qscintilla-2.9.1.ebuild
new file mode 100644
index 0000000..99f8001
--- /dev/null
+++ b/x11-libs/qscintilla/qscintilla-2.9.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit flag-o-matic qmake-utils
+
+MY_P=QScintilla-gpl-${PV}
+
+DESCRIPTION="A Qt port of Neil Hodgson's Scintilla C++ editor class"
+HOMEPAGE="http://www.riverbankcomputing.com/software/qscintilla/intro"
+SRC_URI="mirror://sourceforge/pyqt/${MY_P}.tar.gz"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="0/12"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="designer doc"
+
+DEPEND="
+	>=dev-qt/qtcore-4.8.5:4
+	>=dev-qt/qtgui-4.8.5:4
+	designer? ( >=dev-qt/designer-4.8.5:4 )
+"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+	default
+
+	# Sub-slot sanity check
+	local subslot=${SLOT#*/}
+	local version=$(sed -nre 's:.*VERSION\s*=\s*([0-9\.]+):\1:p' "${S}"/Qt4Qt5/qscintilla.pro)
+	local major=${version%%.*}
+	if [[ ${subslot} != ${major} ]]; then
+		eerror
+		eerror "Ebuild sub-slot (${subslot}) does not match QScintilla major version (${major})"
+		eerror "Please update SLOT variable as follows:"
+		eerror "    SLOT=\"${SLOT%%/*}/${major}\""
+		eerror
+		die "sub-slot sanity check failed"
+	fi
+}
+
+src_configure() {
+	pushd Qt4Qt5 > /dev/null
+	eqmake4
+	popd > /dev/null
+
+	if use designer; then
+		# prevent building against system version (bug 466120)
+		append-cxxflags -I../Qt4Qt5
+		append-ldflags -L../Qt4Qt5
+
+		pushd designer-Qt4Qt5 > /dev/null
+		eqmake4
+		popd > /dev/null
+	fi
+}
+
+src_compile() {
+	pushd Qt4Qt5 > /dev/null
+	emake
+	popd > /dev/null
+
+	if use designer; then
+		pushd designer-Qt4Qt5 > /dev/null
+		emake
+		popd > /dev/null
+	fi
+}
+
+src_install() {
+	pushd Qt4Qt5 > /dev/null
+	emake INSTALL_ROOT="${D}" install
+	popd > /dev/null
+
+	if use designer; then
+		pushd designer-Qt4Qt5 > /dev/null
+		emake INSTALL_ROOT="${D}" install
+		popd > /dev/null
+	fi
+
+	dodoc NEWS
+
+	if use doc; then
+		docinto html
+		dodoc -r doc/html-Qt4Qt5/*
+	fi
+}


             reply	other threads:[~2015-10-24 15:44 UTC|newest]

Thread overview: 102+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-24 15:44 Davide Pesavento [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-04-20  0:40 [gentoo-commits] repo/gentoo:master commit in: x11-libs/qscintilla/ Davide Pesavento
2016-04-20  0:40 Davide Pesavento
2016-04-23 22:36 Davide Pesavento
2016-07-13 21:22 Michael Palimaka
2016-07-14 20:43 Davide Pesavento
2016-07-27  9:31 Davide Pesavento
2016-10-02 10:08 Jeroen Roovers
2016-12-22 18:26 David Seifert
2016-12-23  1:24 Davide Pesavento
2016-12-31  6:02 Andrey Grozin
2017-01-01 14:20 Michael Palimaka
2017-01-25  0:54 Davide Pesavento
2017-02-26  1:51 Davide Pesavento
2017-04-23 23:37 Davide Pesavento
2017-05-23 23:25 Michael Weber
2017-05-24 13:42 Agostino Sarubbo
2017-05-26 14:05 Agostino Sarubbo
2017-05-26 14:59 Agostino Sarubbo
2017-08-19 18:40 Davide Pesavento
2017-09-30  7:18 Sergei Trofimovich
2017-11-02 21:16 Thomas Deutschmann
2017-11-20 15:42 Manuel Rüger
2017-11-25  0:33 Davide Pesavento
2017-11-25  0:54 Davide Pesavento
2017-11-26 12:17 Sergei Trofimovich
2017-11-26 19:15 Sergei Trofimovich
2017-11-27 23:58 Andreas Sturmlechner
2018-03-04 22:16 Davide Pesavento
2018-04-06 15:51 Aaron Bauman
2018-04-12 19:07 Thomas Deutschmann
2018-04-15 14:41 Sergei Trofimovich
2018-04-15 17:16 Davide Pesavento
2018-04-26  3:01 Matt Turner
2018-04-26  3:32 Andreas Sturmlechner
2018-07-06 13:43 Thomas Deutschmann
2018-07-09 14:02 Mikle Kolyada
2018-07-14 20:16 Sergei Trofimovich
2018-08-25 18:11 Davide Pesavento
2018-08-25 18:48 Davide Pesavento
2018-10-07 23:22 Davide Pesavento
2018-12-15 20:37 Davide Pesavento
2018-12-25 19:46 Sergei Trofimovich
2018-12-29 19:12 Thomas Deutschmann
2018-12-31 22:27 Davide Pesavento
2018-12-31 23:44 Davide Pesavento
2019-03-21 20:30 Davide Pesavento
2019-03-21 20:46 Davide Pesavento
2019-04-03  1:14 Davide Pesavento
2019-11-16 19:55 Davide Pesavento
2019-12-03  2:57 Davide Pesavento
2019-12-23  0:09 Davide Pesavento
2019-12-27  1:01 Davide Pesavento
2019-12-31 14:02 Agostino Sarubbo
2019-12-31 14:06 Agostino Sarubbo
2019-12-31 14:16 Agostino Sarubbo
2020-01-11 19:25 Davide Pesavento
2020-02-16  7:52 Michał Górny
2020-03-07 15:11 Michał Górny
2020-03-21 15:52 Agostino Sarubbo
2020-03-21 16:49 Agostino Sarubbo
2020-03-22 10:37 Agostino Sarubbo
2020-03-26 18:38 Davide Pesavento
2020-06-16  5:47 Davide Pesavento
2020-08-18 11:16 Agostino Sarubbo
2020-08-30  0:19 Sam James
2020-08-30  0:33 Davide Pesavento
2020-11-06  5:21 Sam James
2020-11-07 17:57 Sam James
2020-12-17  1:17 Davide Pesavento
2021-06-23 19:57 Davide Pesavento
2021-07-09  2:47 Davide Pesavento
2021-07-09  2:47 Davide Pesavento
2021-07-30 15:14 Agostino Sarubbo
2021-07-31  4:14 Sam James
2021-07-31  6:23 Sam James
2021-08-04  1:06 Davide Pesavento
2021-10-11 22:22 Yixun Lan
2021-10-19  4:29 Davide Pesavento
2021-10-22  3:02 Davide Pesavento
2022-06-01  1:55 Sam James
2022-06-01  1:56 Sam James
2022-06-01  2:29 Sam James
2022-06-01  5:25 Sam James
2022-06-01  5:25 Sam James
2022-09-26 17:18 Andreas Sturmlechner
2022-09-26 17:18 Andreas Sturmlechner
2022-10-28 16:33 Arthur Zamarin
2022-10-28 16:36 Arthur Zamarin
2022-10-28 18:52 Arthur Zamarin
2022-10-28 18:55 Sam James
2022-10-28 18:55 Sam James
2022-11-23 21:18 Andreas Sturmlechner
2023-09-17  6:17 Sam James
2023-10-18  9:02 Sam James
2023-10-18  9:02 Sam James
2023-10-18  9:02 Sam James
2023-10-18  9:02 Sam James
2023-10-18 15:42 Arthur Zamarin
2024-04-16 16:30 Jimi Huotari
2024-05-08  7:54 Michał Górny
2025-01-22 21:57 Andreas Sturmlechner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1445701453.ec3099d108eacc9e14f32a0400da5f95655e381b.pesa@gentoo \
    --to=pesa@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox